#pragma once

#include "jcon.h"
#include "json_rpc_endpoint.h"

namespace jcon
{

class JCON_API JsonRpcHandler
{
public:
    virtual ~JsonRpcHandler();

    virtual void *preCall(class JsonRpcEndpoint *endpoint, QObject *service)
    {
        Q_UNUSED(endpoint);
        Q_UNUSED(service);
        return nullptr;
    }
};

}
